Summary:	OpenSSH free Secure Shell (SSH) implementation
Name:		openssh
Version:	3.4p1
Release:	1.3.0
URL:		http://www.openssh.com/
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
Source2:	sshd.init
Patch00:	openssh-3.3p1-sshd_config-gd-1.diff
Patch02:	openssh-3.4p1-sshd_pam-gd-2.diff
Patch03:	openssh-3.4p1-rsa1-by-default-gd-1.diff
Patch20:	openssh-3.4p1-owl-warnings.diff
Patch21:	openssh-3.4p1-owl-hide-unknown.diff
Patch22:	openssh-3.4p1-owl-always-auth.diff
Patch24:	openssh-3.4p1-owl-drop-groups.diff
Patch25:	openssh-3.4p1-owl-openssl-version-check.diff
Patch26:	openssh-3.4p1-owl-scp-stalltime.diff
Patch27:	openssh-3.4p1-owl-mm.diff
Patch28:	openssh-3.4p1-owl-password-changing.diff
Patch29:	openssh-3.4p1-owl-logging.diff
Patch30:	openssh-3.4p1-owl-fatal_cleanups.diff
Copyright:	BSD
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
PreReq:		openssl >= 0.9.6h
Requires:	openssl >= 0.9.6h, tcp_wrappers
BuildPreReq:	perl, /usr/include/security/pam_appl.h
BuildPreReq:	openssl-devel, tcp_wrappers

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server.  To make this package useful, you should also
install openssh-clients, openssh-server, or both.

%files
  %defattr(-,root,root)
  %doc ChangeLog OVERVIEW README* INSTALL 
  %doc CREDITS
  %attr(0511,root,root) /usr/bin/ssh-keygen
  %attr(0511,root,root) /usr/bin/scp
  %doc %attr(0644,root,root) %{_mandir}/man1/ssh-keygen.1*
  %doc %attr(0644,root,root) %{_mandir}/man1/scp.1*
  %attr(0750,root,admin) %dir /etc/ssh
  %attr(0755,root,root) %dir %{_libexecdir}/openssh
  %attr(0555,root,root) %{_libexecdir}/openssh/sftp-server
  %attr(0555,root,root) %{_libexecdir}/openssh/ssh-keysign


%package clients
Summary:	OpenSSH Secure Shell protocol clients
Requires:	%{name} = %{version}-%{release}
Group:		Applications/Internet

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package includes the clients necessary to make encrypted connections
to SSH servers.

%files clients
  %defattr(-,root,root)
  %attr(0511,root,root) %{_bindir}/ssh
  %attr(0511,root,root) %{_bindir}/ssh-agent
  %attr(0511,root,root) %{_bindir}/ssh-add
  %doc %attr(0644,root,root) %{_mandir}/man1/ssh.1*
  %doc %attr(0644,root,root) %{_mandir}/man1/ssh-agent.1*
  %doc %attr(0644,root,root) %{_mandir}/man1/ssh-add.1*
  %doc %attr(0644,root,root) %{_mandir}/man1/slogin.1*
  %attr(0640,root,admin) %config(noreplace) /etc/ssh/ssh_config
  %attr(-,root,root) %{_bindir}/slogin


%package server
Summary:	OpenSSH Secure Shell protocol server (sshd)
Group:		System Environment/Daemons
PreReq:		%{name} = %{version}-%{release}, chkconfig >= 0.9

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to seperate libraries (OpenSSL).

This package contains the secure shell daemon. The sshd is the server 
part of the secure shell protocol and allows ssh clients to connect to 
your host.

%files server
  %defattr(-,root,root)
  %attr(0750,root,admin) %{_sbindir}/sshd
  %doc %attr(0644,root,root) %{_mandir}/man8/sshd.8*
  %attr(0600,root,root) %config(noreplace) /etc/ssh/sshd_config
  %attr(0600,root,root) %config(noreplace) /etc/pam.d/sshd
  %attr(0700,root,root) %config(noreplace) /etc/init.d/sshd
  %attr(0755,root,root) %dir /var/empty


%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1

%build
  CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}/ssh \
	--with-tcp-wrappers --with-ipv4-default \
	--with-default-path=/bin:/usr/bin \
	--libexecdir=%{_libexecdir}/openssh \
	--with-md5-passwords --disable-suid-ssh \
	--mandir=%{_mandir} --with-pid-dir=/var/run \
	--with-pam --without-xauth --with-mantype=man \
	--with-privsep-path=/var/empty
  make 

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make -j2 prefix=%{_prefix} sysconfdir=%{_sysconfdir}/ssh \
	libexecdir=%{_libexecdir}/openssh \
	DESTDIR=$RPM_BUILD_ROOT/ install

  install -d $RPM_BUILD_ROOT/var/empty
  install -d $RPM_BUILD_ROOT/etc/pam.d
  install -d $RPM_BUILD_ROOT/etc/init.d
  install -d $RPM_BUILD_ROOT%{_libexecdir}/openssh
  install -m644 contrib/redhat/sshd.pam $RPM_BUILD_ROOT/etc/pam.d/sshd

  perl -pi -e "s|$RPM_BUILD_ROOT||g" $RPM_BUILD_ROOT%{_mandir}/man*/*
  sed -e 's!@RUNDIR@!/var/run!g' -e 's!@SYSCONFDIR@!/etc/ssh!g' \
	-e 's!@FUNCTIONS@!/etc/init.d!g' \
	-e 's!@USRBIN@!/usr/bin!g' %{SOURCE2} > \
	$RPM_BUILD_ROOT/etc/init.d/sshd

%post server
  /sbin/chkconfig --add sshd

  if test -r /var/run/sshd.pid ; then
	/etc/init.d/sshd restart > /dev/null 2>&1 || :
  fi

%preun server
  if [ "$1" = 0 ] ; then
	/etc/init.d/sshd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del sshd
  fi

%pre server
  /usr/sbin/groupadd -g 47 sshd         > /dev/null 2>&1 || :
  /usr/sbin/useradd  -u 47 -g sshd sshd > /dev/null 2>&1 || :

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.4p1, Release 1.5.1
  - Merge Solar Designers 3.4p1 patchkit.  Drop the pam_userpass patch as we
    don't ship it.
  - Update pam.d/sshd to run pam_limits in account, not session.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Jul 01 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.4p1, Release 1.2.[56]
  - New upstream version fixes remote hole (see adv.iss).
  - Include updated (and improved) patch from Solar.
  - Make rsa1 keys by default in ssh-keygen.c.

* Mon Jun 24 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.3p1, Release 1.2.[34]
  - New upstream version fixes some mysterious bugs.
  - Removed channel patch; superceeded by new version.
  - Rediffed sshd_config patch.
  - Added patch from Solar Designer to make privsep work with a 2.2 kernel.
  - Fixed pam.d/sshd so it's consistent with previous releases.
  - Do whatever we need to do to get privsep working.

* Thu May 16 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.0p1, Release 1.2.2
  - Default PermitRootLogin to 'no'.

* Thu Apr 18 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.0p1, Release 1.2.1
  - Port off-by-one patch from Balestra.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Thu Sep 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.0p1, Release 1.1.1
  - Changed pam_nologin from auth to account in sshd.pam.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.0p1, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Mar 27 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscript.

* Fri Mar 16 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.0p1, Release 1.0.16
  - Added "noreplace" for '/etc/ssh/sshd_config'.

* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 chgrp root /etc/init.d/sshd

* Wed Nov 29 2000 Pete O'Hara <pete@guardiandigital.com>
- marked man pages with %doc
- uncommented UseLogin, IgnoreUserKnownHosts in sshd_config

* Sat Nov 25 2000 Dave Wreski <dave@guardiandigital.com>
- rebuild after openssl fixes
- replace Uselogin, IgnoreUserKnownHosts

* Fri Nov 24 2000 Pete O'Hara <pete@guardiandigital.com>
- patched /etc/ssh/sshd_config to Protocol 1, 
	IgnoreUserKnownHosts, PasswordAuthentication no,
	UseLogin no

* Wed Nov 08 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 2.3.0p1
- more FHS changes

* Thu Oct 26 2000 Pete O'Hara <pete@guardiandigital.com>
- moved /etc/rc.d/* to /etc

* Tue Sep 19 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "askpass" packages for X11 passphrase dialog
- set default configuration is to not accept the normal
        passwords found in /etc/passwd and
        disable .rhosts .shosts $USERHOME/.ssh/known_hosts
- removed world access to /etc/sshd_config
- set default to run VERSION 1 SSH
- removed suid from /usr/bin/ssh and changed group to admin
        and mode 750
- modified pam config file for Guardian Digital Linux Lockbox

* Tue Sep 19 2000 Pete O'Hara <pete@guardiandigital.com>
- Initial rpm from Damien Miller spec file

